gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.MenuAttributeIter

Contents

- Exported types
- Methods
  - getName
  - getNext
  - getValue
  - next

Description

`MenuAttributeIter` is an opaque structure type. You must access it using the functions below.

Since: 2.32

Synopsis

- newtype MenuAttributeIter = MenuAttributeIter (ManagedPtr MenuAttributeIter)
- class GObject o => IsMenuAttributeIter o
- toMenuAttributeIter :: (MonadIO m, IsMenuAttributeIter o) => o -> m MenuAttributeIter
- noMenuAttributeIter :: Maybe MenuAttributeIter
- menuAttributeIterGetName :: (HasCallStack, MonadIO m, IsMenuAttributeIter a) => a -> m Text
- menuAttributeIterGetNext :: (HasCallStack, MonadIO m, IsMenuAttributeIter a) => a -> m (Bool, Text, GVariant)
- menuAttributeIterGetValue :: (HasCallStack, MonadIO m, IsMenuAttributeIter a) => a -> m GVariant
- menuAttributeIterNext :: (HasCallStack, MonadIO m, IsMenuAttributeIter a) => a -> m Bool

# Exported types

newtype MenuAttributeIter Source #

Memory-managed wrapper type.

Constructors

MenuAttributeIter (ManagedPtr MenuAttributeIter) |

Instances

GObject MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter Methods gobjectType :: MenuAttributeIter -> IO GType Source #
IsObject MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter
IsMenuAttributeIter MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter

class GObject o => IsMenuAttributeIter o Source #

Type class for types which can be safely cast to `MenuAttributeIter`, for instance with `toMenuAttributeIter`.

Instances

(GObject a, (UnknownAncestorError MenuAttributeIter a :: Constraint)) => IsMenuAttributeIter a Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter
IsMenuAttributeIter MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter

toMenuAttributeIter :: (MonadIO m, IsMenuAttributeIter o) => o -> m MenuAttributeIter Source #

Cast to `MenuAttributeIter`, for types for which this is known to be safe. For general casts, use `castTo`.

noMenuAttributeIter :: Maybe MenuAttributeIter Source #

A convenience alias for `Nothing` :: `Maybe` `MenuAttributeIter`.

# Methods

## getName

menuAttributeIterGetName Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuAttributeIter a) |
=> a | `iter`: a `MenuAttributeIter`
-> m Text | Returns: the name of the attribute

Gets the name of the attribute at the current iterator position, as a string.

The iterator is not advanced.

Since: 2.32

## getNext

menuAttributeIterGetNext Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuAttributeIter a) |
=> a | `iter`: a `MenuAttributeIter`
-> m (Bool, Text, GVariant) | Returns: `True` on success, or `False` if there is no additional attribute

This function combines `menuAttributeIterNext` with `menuAttributeIterGetName` and `menuAttributeIterGetValue`.

First the iterator is advanced to the next (possibly first) attribute. If that fails, then `False` is returned and there are no other effects.

If successful, `name` and `value` are set to the name and value of the attribute that has just been advanced to. At this point, `menuAttributeIterGetName` and `menuAttributeIterGetValue` will return the same values again.

The value returned in `name` remains valid for as long as the iterator remains at the current position. The value returned in `value` must be unreffed using `variantUnref` when it is no longer in use.

Since: 2.32

## getValue

menuAttributeIterGetValue Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuAttributeIter a) |
=> a | `iter`: a `MenuAttributeIter`
-> m GVariant | Returns: the value of the current attribute

Gets the value of the attribute at the current iterator position.

The iterator is not advanced.

Since: 2.32

## next

menuAttributeIterNext Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuAttributeIter a) |
=> a | `iter`: a `MenuAttributeIter`
-> m Bool | Returns: `True` on success, or `False` when there are no more attributes

Attempts to advance the iterator to the next (possibly first) attribute.

`True` is returned on success, or `False` if there are no more attributes.

You must call this function when you first acquire the iterator to advance it to the first attribute (and determine if the first attribute exists at all).

Since: 2.32